gssproxy-0.7.0-lp150.1.2.x86_64.rpm


Advertisement

Description

gssproxy - Daemon for managing gss-api requests

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gssproxy
Package version 0.7.0
Package release lp150.1.2
Package architecture x86_64
Package type rpm
Installed size 231.48 KB
Download size 93.58 KB
Official Mirror widehat.opensuse.org
gssproxy allows the complexity of GSS security negotiation
to be centrallized.  It is particularly useful to keep this out
of kernel space, so that CIPFS, NFS, AFS etc can use GSS-API without
complexity in the kernel.
Using it also improves isolation and privilege separation, so that
HTTP servers, for example, can use GSS-API without needing to access
keys directly.

Alternatives

Package Version Architecture Repository
gssproxy - - -

Requires

Name Value
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libgssapi_krb5.so.2()(64bit) -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) -
libgssrpc.so.4()(64bit) -
libgssrpc.so.4(gssrpc_4_MIT)(64bit) -
libini_config.so.5()(64bit) -
libini_config.so.5(INI_CONFIG_1.1.0)(64bit) -
libini_config.so.5(INI_CONFIG_1.2.0)(64bit) -
libk5crypto.so.3()(64bit) -
libk5crypto.so.3(k5crypto_3_MIT)(64bit) -
libkrb5.so.3()(64bit) -
libkrb5.so.3(krb5_3_MIT)(64bit) -
libpopt.so.0()(64bit) -
libpopt.so.0(LIBPOPT_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libref_array.so.1()(64bit) -
libref_array.so.1(REF_ARRAY_0.1.1)(64bit) -
libselinux.so.1()(64bit) -
libverto.so.1()(64bit) -
systemd -

Provides

Name Value
config(gssproxy) = 0.7.0-lp150.1.2
gssproxy = 0.7.0-lp150.1.2
gssproxy(x86-64) = 0.7.0-lp150.1.2

Download

Type URL
Binary Package gssproxy-0.7.0-lp150.1.2.x86_64.rpm
Source Package gssproxy-0.7.0-lp150.1.2.src.rpm

Install Howto

Install gssproxy rpm package:

# zypper install gssproxy

Files

Path
/etc/gssproxy/24-nfs-server.conf
/etc/gssproxy/gssproxy.conf
/usr/lib/systemd/system/gssproxy.service
/usr/lib64/gssproxy/proxymech.so
/usr/sbin/gssproxy
/usr/sbin/rcgssproxy
/usr/share/man/man5/gssproxy.conf.5.gz
/usr/share/man/man8/gssproxy-mech.8.gz
/usr/share/man/man8/gssproxy.8.gz
/var/lib/gssproxy/
/var/lib/gssproxy/rcache/

Changelog

2017-10-08 - nfbrown@suse.com
- 0003-Include-header-for-writev.patch
upstream patch to fix build error
2017-03-20 - nfbrown@suse.com
- gssproxy.spec - lots of tidy up, particularly using
pkgconfig() for BuildRequires
2017-03-09 - nfbrown@suse.com
- Initial check-in of version 0.7.0
gssproxy is needed on the NFS server if krb5 is used for NFS
authentication using an AD directory server.
/etc/krb5.conf may need "auth_to_local = RULE:[1:$1@$0]" on
the "realms" section when "winbind" is used for nsswitch.conf.
(bsc#1024309)(FATE#322526)
- gp_config.fix
0001-Add-support-for-the-NO_CI_FLAG-credentials-option.REVERT
0002-Add-test-to-check-setting-cred-options.REVERT
Conditionally allow compilation on older releases.

See Also

Package Description
gst123-0.3.5-lp150.1.6.x86_64.rpm GStreamer based Command Line Music Player
gstreamer-1.12.5-lp150.1.1.x86_64.rpm Streaming-Media Framework Runtime
gstreamer-1_0-plugins-buzztrax-0.10.2-lp150.3.1.x86_64.rpm Buzztrax GStreamer plugin
gstreamer-32bit-1.12.5-lp150.1.1.x86_64.rpm Streaming-Media Framework Runtime
gstreamer-devel-1.12.5-lp150.1.1.x86_64.rpm Include Files and Libraries mandatory for Development
gstreamer-doc-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-editing-services-1.12.5-lp150.1.1.x86_64.rpm GStreamer Editing Services
gstreamer-editing-services-devel-1.12.5-lp150.1.1.x86_64.rpm GStreamer Editing Services - Development files
gstreamer-lang-1.12.5-lp150.1.1.noarch.rpm Translations for package gstreamer
gstreamer-libnice-0.1.14-lp150.1.11.x86_64.rpm Interactive Connectivity Establishment implementation - GStreamer 1.0
gstreamer-plugin-cluttergst3-3.0.26-lp150.1.2.x86_64.rpm GStreamer Clutter Plug-In
gstreamer-plugin-python-1.12.5-lp150.1.1.x86_64.rpm GStreamer 1.0 plugin for python
gstreamer-plugins-bad-1.12.5-lp150.1.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-bad-32bit-1.12.5-lp150.1.3.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-bad-chromaprint-1.12.5-lp150.1.3.x86_64.rpm Chromaprint plugin for GStreamer
Advertisement
Advertisement